import { scoresResponse } from "./types";
export declare const scoresKeys: {
    all: () => readonly ["scores"];
    list: (filters: Partial<scoresResponse>) => readonly ["scores", Partial<{
        lat?: number | undefined;
        lng?: number | undefined;
        geographyIds?: string[] | undefined;
        geographyLevels?: ("10" | "20" | "30")[] | undefined;
        locationScoresRounding?: boolean | undefined;
        include?: ("wellness" | "restaurants" | "groceries" | "shopping" | "nightlife" | "cafes" | "daycares" | "parks" | "pedestrian_friendly" | "car_friendly" | "transit_friendly" | "cycling_friendly" | "quiet" | "vibrant" | "high_schools" | "primary_schools" | "greenery" | "historic")[] | undefined;
    }>];
};
//# sourceMappingURL=keyFactory.d.ts.map