import React from "react";
import { type LocalContentProps } from "./types";
interface Location {
    lat: LocalContentProps["options"]["lat"];
    lng: LocalContentProps["options"]["lng"];
}
export type DefaultContext = {
    isLoading: boolean;
    location: Location;
    mapProvider?: LocalContentProps["options"]["mapProvider"];
};
declare const useLocalContent: () => DefaultContext;
declare const LocalContentProvider: ({ children, }: {
    children: React.JSX.Element;
}) => React.JSX.Element;
export { useLocalContent, LocalContentProvider, type Location };
//# sourceMappingURL=context.d.ts.map